<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.manillaIngesta.home.createOrEditLabel"
          data-cy="IngestaCreateUpdateHeading"
          v-text="$t('gatewayApp.manillaIngesta.home.createOrEditLabel')"
        >
          Create or edit a Ingesta
        </h2>
        <div>
          <div class="form-group" v-if="ingesta.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="ingesta.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaIngesta.tipo')" for="ingesta-tipo">Tipo</label>
            <input
              type="text"
              class="form-control"
              name="tipo"
              id="ingesta-tipo"
              data-cy="tipo"
              :class="{ valid: !$v.ingesta.tipo.$invalid, invalid: $v.ingesta.tipo.$invalid }"
              v-model="$v.ingesta.tipo.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaIngesta.consumoCalorias')" for="ingesta-consumoCalorias"
              >Consumo Calorias</label
            >
            <input
              type="number"
              class="form-control"
              name="consumoCalorias"
              id="ingesta-consumoCalorias"
              data-cy="consumoCalorias"
              :class="{ valid: !$v.ingesta.consumoCalorias.$invalid, invalid: $v.ingesta.consumoCalorias.$invalid }"
              v-model.number="$v.ingesta.consumoCalorias.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaIngesta.fechaRegistro')" for="ingesta-fechaRegistro"
              >Fecha Registro</label
            >
            <div class="d-flex">
              <input
                id="ingesta-fechaRegistro"
                data-cy="fechaRegistro"
                type="datetime-local"
                class="form-control"
                name="fechaRegistro"
                :class="{ valid: !$v.ingesta.fechaRegistro.$invalid, invalid: $v.ingesta.fechaRegistro.$invalid }"
                :value="convertDateTimeFromServer($v.ingesta.fechaRegistro.$model)"
                @change="updateInstantField('fechaRegistro', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaIngesta.user')" for="ingesta-user">User</label>
            <select class="form-control" id="ingesta-user" data-cy="user" name="user" v-model="ingesta.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="ingesta.user && userOption.id === ingesta.user.id ? ingesta.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.ingesta.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./ingesta-update.component.ts"></script>
